<?php

if (function_exists('has_permission') === false) {
    function has_permission(string $permission): bool
    {
        $admin = optional(auth()->user())->admin;

        if ($admin === null) {
            return false;
        }

        try {
            return $admin->hasPermissionTo($permission);
        } catch (\Spatie\Permission\Exceptions\PermissionDoesNotExist $exception) {
            return false;
        }
    }
}
