<?php

use EventPortal\Domain\Component\Button;
use EventPortal\Domain\Component\ButtonDropdown;
use EventPortal\Domain\Component\Column\TextColumn;
use EventPortal\Domain\Email\Models\Email;
use EventPortal\Domain\Table\Facades\Table;
use EventPortal\Enums\InertiaMethod;

Table::make('email.index')
    ->setColumns(function () {
        return [
            TextColumn::make('Email')->name('type'),
            TextColumn::make('Subject')->name('subject'),
        ];
    })
    ->setRowAction(function (Email $email) {
        $email->refresh(); // Event not being eager loaded?
        return ButtonDropdown::make('Manage email')
            ->actions([
                Button::make('View')
                    ->method(InertiaMethod::VISIT())
                    ->route('admin.email.show', [
                        'event' => $email->event->id,
                        'email' => $email->id,
                    ]),
                Button::make('Edit')
                    ->method(InertiaMethod::VISIT())
                    ->route('admin.email.edit', [
                        'event' => $email->event->id,
                        'email' => $email->id,
                    ]),
            ]);
    });
