<?php

namespace EventPortal\Tests\Support;

use Illuminate\Database\Eloquent\Model;
use Illuminate\Support\Collection;

class ModelChecker
{
    /**
     * @param Model $expected
     * @param Model $actual
     * @return bool
     */
    public static function isSameModel(Model $expected, Model $actual) : bool
    {

        return get_class($actual) === get_class($expected) && (int) $expected->id === (int) $actual->id;
    }

    /**
     * @param Model $expected
     * @param \Illuminate\Support\Collection $collection
     * @return bool
     * @SuppressWarnings("unused")
     */
    public static function collectionContainsModel(Model $expected, Collection $collection) : bool
    {
        return $collection->contains(function ($model, $key) use ($expected) {
            return self::isSameModel($expected, $model);
        });
    }
}
