<?php

namespace EventPortal\Tests\Unit\Agenda\Actions;

use EventPortal\Domain\Agenda\Actions\CreateDefaultAgenda;
use EventPortal\Domain\Agenda\Actions\DeleteSession;
use EventPortal\Domain\Agenda\Actions\UpdateSession;
use EventPortal\Domain\Agenda\Models\Session;
use EventPortal\Domain\Component\Option;
use EventPortal\Domain\Event\Models\Event;
use EventPortal\Tests\TestCase;
use Illuminate\Foundation\Testing\RefreshDatabase;

class DeleteSessionTest extends TestCase
{
    use RefreshDatabase;

    /** @test **/
    public function can_delete_session()
    {
        $session = factory(Session::class)->create();

        (new DeleteSession)->execute($session);

        $this->assertDatabaseMissing('sessions', [
            'id' => $session->id,
        ]);
    }
}
